package rtcservicelogic

import (
	"context"

	"im-rtc/internal/svc"
	"im-rtc/pb/rtc"

	"github.com/zeromicro/go-zero/core/logx"
)

type SignalOperateStreamLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewSignalOperateStreamLogic(ctx context.Context, svcCtx *svc.ServiceContext) *SignalOperateStreamLogic {
	return &SignalOperateStreamLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *SignalOperateStreamLogic) SignalOperateStream(in *rtc.SignalOperateStreamReq) (*rtc.SignalOperateStreamResp, error) {
	// todo: add your logic here and delete this line

	return &rtc.SignalOperateStreamResp{}, nil
}
